Name:           cockpit-image-builder
Version:        67
Release:        1.20250526095334860732.pr3258.32.g4f634bf0%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-68.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon May 26 2025 Packit <hello@packit.dev> - 67-1.20250526095334860732.pr3258.32.g4f634bf0
- Wizard: Systemd services test (HMS-5975) (Katarina Sieklova)
- devDeps: Manually bump @currents/playwright to 1.13.2 (regexowl)
- tsconfig: Specify `include` (regexowl)
- Update Konflux references (red-hat-konflux[bot])
- Wizard: temporarily disable OCI (Sanne Raymaekers)
- Wizard: Sources for all (regexowl)
- Wizard: drop unwanted WantedBy (Lukas Zapletal)
- fix: add timeout for Satellite tests (Anna Vítová)
- Wizard: fix token not having expiration fails (Anna Vítová)
- Wizard: send template name in image request (rverdile)
- build(deps): bump @reduxjs/toolkit from 2.8.1 to 2.8.2 (dependabot[bot])
- API: update api (Lucas Garfield)
- Wizard: Add RHEL10 to ReleaseLifecycle chart (Simon Steinbeiss)
- build(deps-dev): bump sass from 1.87.0 to 1.88.0 (dependabot[bot])
- build(deps-dev): bump @babel/preset-env from 7.27.1 to 7.27.2 (dependabot[bot])
- Wizard: Disabled OpenSCAP profile selection for RHEL10 (Lucas Garfield)
- Wizard: Support RHEL10 in URL search parameters (Lucas Garfield)
- ImagesTable: add missing releases (Sanne Raymaekers)
- api: update image-builder api (Sanne Raymaekers)
- src/constants: add centos 10 to releases (Sanne Raymaekers)
- src/constants: add rhel 10 to releases (Sanne Raymaekers)
- tests: fix Satellite fixtures incorrect paranthesis (Anna Vítová)
- Wizard: make Satellite CA cert optional (Anna Vítová)
- Wizard: refactor Satellite validation (Anna Vítová)
- Wizard: fix activation key required for Satellite (Anna Vítová)
- Wizard: add details for Satellite token expiration (Anna Vítová)
- Wizard: Add package streams (regexowl)
- LandingPage: Add Users to `NewAlert` (regexowl)
- Wizard: Fix vertical height bug (Lucas Garfield)
- src: Fix user groups validation on import (regexowl)
- Post release version bump (schutzbot)
- Wizard: encode satellite cmd properly (Lukas Zapletal)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
